package com.ruoyi.ss.realName.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Sensitive;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.enums.DesensitizedType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 实名认证对象 ss_real_name
 *
 * @author ruoyi
 * @date 2024-09-23
 */
@Data
public class RealName extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "姓名")
    @ApiModelProperty("姓名")
    @Sensitive(desensitizedType = DesensitizedType.USERNAME)
    private String name;

    @Excel(name = "身份证")
    @ApiModelProperty("身份证")
    @Sensitive(desensitizedType = DesensitizedType.ID_CARD)
    private String idCard;

    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    @Sensitive(desensitizedType = DesensitizedType.PHONE)
    private String mobile;

    @Excel(name = "比对分数")
    @ApiModelProperty("比对分数")
    private BigDecimal score;

    @Excel(name = "人脸图像")
    @ApiModelProperty("人脸图像")
    private String faceImage;

    @Excel(name = "认证类型", readConverterExp = "1=普通认证,2=风控认证")
    @ApiModelProperty("认证类型")
    private String type;

}
